## org.gjt.sp.jedit.msg
Enum PropertiesChanging.State

    java.lang.Object
      java.lang.Enum<PropertiesChanging.State>
          org.gjt.sp.jedit.msg.PropertiesChanging.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PropertiesChanging.State>

Enclosing class:
  PropertiesChanging

    public static enum PropertiesChanging.State

extends java.lang.Enum<PropertiesChanging.State>

Enum Constant Summary
`CANCELED`
`LOADING`

Method Summary
`static PropertiesChanging.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PropertiesChanging.State[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOADING

    public static final PropertiesChanging.State LOADING

### CANCELED

    public static final PropertiesChanging.State CANCELED

Method Detail

### values

    public static final PropertiesChanging.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PropertiesChanging.State c : PropertiesChanging.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PropertiesChanging.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name